### Class

# Phosh TorchManager

#### Description [src]

    final class Phosh.TorchManager : Phosh.Manager
    {
      /* No available fields */
    }

Interacts with torch via UPower

`PhoshTorchManager` tracks the torch status and allows to set the brightness.

#### Ancestors

- PhoshManager
- GObject

#### Constructors

###### phosh_torch_manager_new

No description available.

#### Instance methods

###### phosh_torch_manager_get_brightness

No description available.

###### phosh_torch_manager_get_can_scale

No description available.

###### phosh_torch_manager_get_enabled

No description available.

###### phosh_torch_manager_get_icon_name

No description available.

###### phosh_torch_manager_get_max_brightness

No description available.

###### phosh_torch_manager_get_present

No description available.

###### phosh_torch_manager_get_scaled_brightness

Gets the current brightness as fraction between 0 (off) and 1 (maximum brightness).

###### phosh_torch_manager_set_scaled_brightness

Sets the current brightness as fraction between 0 (off) and 1 (maximum brightness).

###### phosh_torch_manager_toggle

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.TorchManager:brightness

The brightness of torch.

###### Phosh.TorchManager:can-scale

Whether the brightness can be scaled.

###### Phosh.TorchManager:enabled

Whether torch is enabled.

###### Phosh.TorchManager:icon-name

The icon-name of torch.

###### Phosh.TorchManager:present

Whether a torch is present.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshTorchManagerClass {
      PhoshManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshManagerClass`

  No description available.